## org.exist.soap
Class CollectionDesc

    java.lang.Object
      org.exist.soap.CollectionDesc

All Implemented Interfaces:
  java.io.Serializable

public class CollectionDesc
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CollectionDesc()`
`CollectionDesc(java.lang.String name, java.lang.String owner, java.lang.String group, int permissions, long created, Strings collections, DocumentDescs documents)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`Strings` `getCollections()` Gets the collections value for this CollectionDesc.
`long` `getCreated()` Gets the created value for this CollectionDesc.
`static org.apache.axis.encoding.Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`DocumentDescs` `getDocuments()` Gets the documents value for this CollectionDesc.
`java.lang.String` `getGroup()` Gets the group value for this CollectionDesc.
`java.lang.String` `getName()` Gets the name value for this CollectionDesc.
`java.lang.String` `getOwner()` Gets the owner value for this CollectionDesc.
`int` `getPermissions()` Gets the permissions value for this CollectionDesc.
`static org.apache.axis.encoding.Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` `getTypeDesc()` Return type metadata object
`int` `hashCode()`
`void` `setCollections(Strings collections)` Sets the collections value for this CollectionDesc.
`void` `setCreated(long created)` Sets the created value for this CollectionDesc.
`void` `setDocuments(DocumentDescs documents)` Sets the documents value for this CollectionDesc.
`void` `setGroup(java.lang.String group)` Sets the group value for this CollectionDesc.
`void` `setName(java.lang.String name)` Sets the name value for this CollectionDesc.
`void` `setOwner(java.lang.String owner)` Sets the owner value for this CollectionDesc.
`void` `setPermissions(int permissions)` Sets the permissions value for this CollectionDesc.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionDesc

    public CollectionDesc()

### CollectionDesc

    public CollectionDesc(java.lang.String name,
                          java.lang.String owner,
                          java.lang.String group,
                          int permissions,
                          long created,
                          Strings collections,
                          DocumentDescs documents)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value for this CollectionDesc.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this CollectionDesc.

  Parameters:
    `name` -

### getOwner

    public java.lang.String getOwner()

  Gets the owner value for this CollectionDesc.

  Returns:
    owner

### setOwner

    public void setOwner(java.lang.String owner)

  Sets the owner value for this CollectionDesc.

  Parameters:
    `owner` -

### getGroup

    public java.lang.String getGroup()

  Gets the group value for this CollectionDesc.

  Returns:
    group

### setGroup

    public void setGroup(java.lang.String group)

  Sets the group value for this CollectionDesc.

  Parameters:
    `group` -

### getPermissions

    public int getPermissions()

  Gets the permissions value for this CollectionDesc.

  Returns:
    permissions

### setPermissions

    public void setPermissions(int permissions)

  Sets the permissions value for this CollectionDesc.

  Parameters:
    `permissions` -

### getCreated

    public long getCreated()

  Gets the created value for this CollectionDesc.

  Returns:
    created

### setCreated

    public void setCreated(long created)

  Sets the created value for this CollectionDesc.

  Parameters:
    `created` -

### getCollections

    public Strings getCollections()

  Gets the collections value for this CollectionDesc.

  Returns:
    collections

### setCollections

    public void setCollections(Strings collections)

  Sets the collections value for this CollectionDesc.

  Parameters:
    `collections` -

### getDocuments

    public DocumentDescs getDocuments()

  Gets the documents value for this CollectionDesc.

  Returns:
    documents

### setDocuments

    public void setDocuments(DocumentDescs documents)

  Sets the documents value for this CollectionDesc.

  Parameters:
    `documents` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Copyright (C) Wolfgang Meier. All rights reserved.